Announcement Announcement Module
Collapse
No announcement yet.
Unable to download dependency from Maven Central Repository Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Unable to download dependency from Maven Central Repository

    I am trying to download the spring.ws jars via maven and it doesn't seem to be working.

    My POM has the following:
    HTML Code:
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    	<modelVersion>4.0.0</modelVersion>
    	<groupId>com.sa.ess</groupId>
    	<artifactId>ess-integration</artifactId>
    	<name>ess-integration</name>
    	<version>0.0.1-SNAPSHOT</version>
    
    
    	<properties>
    		<junit.version>4.5</junit.version>
    		<ess.version>0.0.1-SNAPSHOT</ess.version>
    		<springframework.version>2.5.6</springframework.version>
    		<springws.version>1.5.6</springws.version>
    		<xmlbeans.version>2.2.0</xmlbeans.version>
    	</properties>
    
    	<build>
    		<plugins>
    			<plugin>
    				<artifactId>maven-compiler-plugin</artifactId>
    				<configuration>
    					<source>1.5</source>
    					<target>1.5</target>
    				</configuration>
    			</plugin>
    		</plugins>
    	</build>
    
    	<dependencies>
    		<!-- UNIT TESTING DEPENDENCIES -->
    		<dependency>
    			<groupId>junit</groupId>
    			<artifactId>junit</artifactId>
    			<version>${junit.version}</version>
    			<scope>test</scope>
    		</dependency>
    		<!-- ESS DEPENDENCIES -->
    		<dependency>
    			<groupId>com.sa.ess</groupId>
    			<artifactId>ess-common</artifactId>
    			<version>${ess.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>com.sa.ess</groupId>
    			<artifactId>ess-domain</artifactId>
    			<version>${ess.version}</version>
    		</dependency>
    		<!--
    			<dependency> <groupId>com.sa.ess</groupId>
    			<artifactId>ess-service</artifactId>
    			<version>${ess.version}</version> </dependency>
    		--><!-- SPRING DEPENDENCIES -->
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-core</artifactId>
    			<version>${springframework.version}</version>
    		</dependency>
    
    		<dependency>
    			<groupId>org.springframework.ws</groupId>
    			<artifactId>spring-ws</artifactId>
    			<version>${springws.verison}</version>
    		</dependency>
    
    		<!-- XML BEANS DEPENDENCIES -->
    		<dependency>
    			<groupId>xmlbeans</groupId>
    			<artifactId>xmlbeans</artifactId>
    			<version>${xmlbeans.version}</version>
    		</dependency>
    
    	</dependencies>
    
    </project>
    All of the other dependencies are working except for the one specific to spring.ws:
    HTML Code:
    <dependency>
    			<groupId>org.springframework.ws</groupId>
    			<artifactId>spring-ws</artifactId>
    			<version>${springws.verison}</version>
    		</dependency>
    The build error is shown below:
    HTML Code:
    [WARNING] Component returned which is not the same manager. Ignored. component=[email protected]
    [INFO] Scanning for projects...
    [INFO] ------------------------------------------------------------------------
    [INFO] Building ess-integration
    [INFO]    task-segment: [install]
    [INFO] ------------------------------------------------------------------------
    [INFO] [resources:resources]
    [WARNING] Using platform encoding (Cp1252 actually) to copy filtered resources, i.e. build is platform dependent!
    [INFO] Copying 7 resources
    Downloading: http://repo1.maven.org/maven2/org/springframework/ws/spring-ws/1.5.6/spring-ws-1.5.6.jar
    [INFO] Unable to find resource 'org.springframework.ws:spring-ws:jar:1.5.6' in repository central (http://repo1.maven.org/maven2)
    [INFO] ------------------------------------------------------------------------
    [ERROR] BUILD ERROR
    [INFO] ------------------------------------------------------------------------
    [INFO] Failed to resolve artifact.
    
    Missing:
    ----------
    1) org.springframework.ws:spring-ws:jar:1.5.6
    
      Try downloading the file manually from: 
          http://www.springsource.com/download/community?project=Spring%20Web%20Services
    
      Then, install it using the command: 
          mvn install:install-file -DgroupId=org.springframework.ws -DartifactId=spring-ws -Dversion=1.5.6 -Dpackaging=jar -Dfile=/path/to/file
    
      Alternatively, if you host your own repository you can deploy the file there: 
          mvn deploy:deploy-file -DgroupId=org.springframework.ws -DartifactId=spring-ws -Dversion=1.5.6 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
    
      Path to dependency: 
      	1) com.sa.ess:ess-integration:jar:0.0.1-SNAPSHOT
      	2) org.springframework.ws:spring-ws:jar:1.5.6
    
    ----------
    1 required artifact is missing.
    
    for artifact: 
      com.sa.ess:ess-integration:jar:0.0.1-SNAPSHOT
    
    from the specified remote repositories:
      central (http://repo1.maven.org/maven2)
    
    
    
    [INFO] ------------------------------------------------------------------------
    [INFO] For more information, run Maven with the -e switch
    [INFO] ------------------------------------------------------------------------
    [INFO] Total time: 1 second
    [INFO] Finished at: Thu Apr 30 11:26:25 EDT 2009
    [INFO] Final Memory: 9M/26M
    [INFO] ------------------------------------------------------------------------
    Any help in this matter would be greatly appreciated as we are required to use maven to build our applications. Thank you.

  • #2
    Correct the mistake here in your dependencies

    <version>${springws.verison}</version>

    Comment

    Working...
    X